Bug 476388 - Password-protected mt-daapd shares inaccessible from Rhythmbox
Password-protected mt-daapd shares inaccessible from Rhythmbox
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: rhythmbox (Show other bugs)
10
All Linux
low Severity medium
: ---
: ---
Assigned To: Bastien Nocera
Fedora Extras Quality Assurance
: Triaged
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-12-13 19:10 EST by James Ettle
Modified: 2009-12-18 02:17 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
: 656071 (view as bug list)
Environment:
Last Closed: 2009-12-18 02:17:13 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Output of rhythmbox -d daap (1.84 MB, text/plain)
2008-12-18 08:02 EST, James Ettle
no flags Details

  None (edit)
Description James Ettle 2008-12-13 19:10:01 EST
Description of problem:
Rhythmbox (and Exaile) is unable to connect to a password-protected DAAP share served from Firefly, a.k.a. mt-daapd in Fedora. It doesn't ask for a password. On the other hand, Banshee and iTunes have any problem connecting.

Version-Release number of selected component (if applicable):
banshee-1.4.1-1.fc10.x86_64
rhythmbox-0.11.6-17.r6096.fc10.x86_64
mt-daapd-0.2.4.2-4.fc10.x86_64
exaile-0.2.14-1.fc10.x86_64

How reproducible:
Always.

Steps to Reproduce:
1. Configure mt-daapd with a password protecting the music.
2. Attempt to play music with Rhythmbox.
  
Actual results:
No password prompt. No media found.

Expected results:
Prompted for password, media retrieved.
Comment 1 Bastien Nocera 2008-12-18 04:14:24 EST
Please attach the output of "rhythmbox -d daap" to this bug.
Comment 2 James Ettle 2008-12-18 08:02:57 EST
Created attachment 327321 [details]
Output of rhythmbox -d daap
Comment 3 Bug Zapper 2009-11-18 05:27:52 EST
This message is a reminder that Fedora 10 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 10.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '10'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 10's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 10 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 4 Bug Zapper 2009-12-18 02:17:13 EST
Fedora 10 changed to end-of-life (EOL) status on 2009-12-17. Fedora 10 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.